#include <iomanip>
#include <iostream>
#include <vector>
#include <map>
#include <Random.h>
#include "FrameList.h"
#include "errstr.h"
#include "Xmm.h"
#include "SelectUtils.h"

#include <ctime>

Frames::Frames(double start, double stop, double fracExp) :
 _fracExp(fracExp)
{
  _gti = Gti(start,stop);
}

double Frames::getFracExp()
{
  return _fracExp;
}

Gti Frames::getGTI()
{
  return _gti;
}

void FrameList::printFrames()
{
	for (unsigned int n = 0 ; n < (*this)._frames.size() ; n++)
		errstr << setprecision(19) << "FrameBin= [ "<< (*this)._frames[n].start() << " , "
			<< (*this)._frames[n].stop() << " ]   FRACEXP= "<< (*this)._frames[n].getFracExp()
			<< Sas::message(Msg::Lib, Msg::Verbose);
}

void FrameList::printDeadTime()
{
	for (unsigned int n = 0 ; n < (*this)._frames.size()-1 ; n++)
		errstr << "DeadTimeBin[ "<< n << "]= "<<
			(*this)._frames[n+1].stop()-(*this)._frames[n].stop()
			<< Sas::message(Msg::Lib, Msg::Verbose);
}

void FrameList::setGTI(Gti gti)
{
  _frameList.push_back(gti);
}

void FrameList::setFrame(Frames frm)
{
  _frames.push_back(frm);
}



