#ifndef FRAMETABLE_H_
#define FRAMETABLE_H_

#include "FrameList.h"
#include "Dal.h"

class FrameTable {
public:
	FrameTable(Table *table);
	FrameTable(const std::string &setName);
    ~FrameTable();

    friend FrameTable &operator>>(FrameTable &, FrameList &);

    std::string setName() const { return _setName; }

	Table *table() const { return _table; }

	void setRandFlag();
	bool getRandFlag();

	void setFrameTime();
	double getFrameTime();

	void closeDataSet();

	//	data members
	DataSet		*_set;
	Table		*_table;
	std::string	_setName;
	bool		_closeSet;
	bool _randFlag;
	double _frameTime;

};

FrameTable &operator>>(FrameTable &, FrameList &);

#endif /*FRAMETABLE_H_*/
